<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
       xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd">

    <bean id="student" class="org.example.model.Student">
        <constructor-arg name="name" value="Alisher"/>
        <constructor-arg name="subjectRating">
            <map>
                <entry key="Math" value="5"/>
                <entry key="Physics" value="4"/>
                <entry key="literature" value="3"/>
                <entry key="History" value="2"/>
                <entry key="biology" value="1"/>
                <entry key="chemical" value="0"/>
            </map>
        </constructor-arg>
    </bean>

</beans>